Bug 99800

Summary: Dromaeo should report individual test result
Product: WebKit Reporter: Ryosuke Niwa <rniwa>
Component: Tools / TestsAssignee: Ryosuke Niwa <rniwa>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dpranke, eae, eric, mjs, morrita, ojan, webkit.review.bot, zoltan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 97510    
Attachments:
Description Flags
Work in progress
none
Patch eric: review+, buildbot: commit-queue-

Description Ryosuke Niwa 2012-10-18 20:13:39 PDT
Right now, Dromaeo repeats runs within subtests and report the aggregation of results from subtests. This alienates Dromaoe tests from other performance tests and prevents us from making the test more configurable for the bug 97510.

We can mitigate the problem by reporting individual result for each subtest, and then summing each record to compute the aggregated result for each run.

Say we have subtests t_1, t_2, ... t_n for some test t. Right now, Dromaeo measures 5 runs for t_1, t_2, ... t_n, and computes statistics (stdev, etc...) for each subtest t_i with i=1, ..., n. At the end of the day, we'll get n results, each of which contains mean, median, min, max, & stdev. I'd like to modify Dromaeo slightly so that it'll also report individual values it obtained in each run as "times". So for each t_i, we'll have times(t_i), which is a tuple with 5 values; e.g. (1, 2, 3, 4, 5). In total, we'll have 5n values for t. Then, I can compute the sum of times(t_i)[j] over i=1...n; this value represents a run of the aggregated test t. This is going to make Dromaeo tests behave like any other performance tests that report multiple runs.
Comment 1 Ryosuke Niwa 2012-10-18 20:22:15 PDT
Created attachment 169539 [details]
Work in progress
Comment 2 Ryosuke Niwa 2012-10-19 13:46:45 PDT
Created attachment 169688 [details]
Patch
Comment 3 Build Bot 2012-10-19 16:20:17 PDT
Comment on attachment 169688 [details]
Patch

Attachment 169688 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/14457610

New failing tests:
fast/harness/perftests/runs-per-second-log.html
Comment 4 Ryosuke Niwa 2012-12-03 13:32:02 PST
Ping reviewers. This patch is crucial in making other improvements to the perf. test harness.
Comment 5 Eric Seidel (no email) 2012-12-03 13:39:55 PST
Comment on attachment 169688 [details]
Patch

Looks reasonable to me.
Comment 6 Ryosuke Niwa 2012-12-04 02:01:40 PST
Committed r136492: <http://trac.webkit.org/changeset/136492>
Comment 7 Emil A Eklund 2012-12-04 09:42:45 PST
These tests fail on chromium, please fix or rollout.